Subject: Forum activity on: Can't Get Extension -> Export -> Plot to work.
From: [email-masked]
To: [email-masked]
Date: Tue, 08 Oct 2024 06:06:19 -0000

Dear fdhil,

A post has been edited on the topic "Can't Get Extension -> Export -> Plot to work." by boyagogo:
---
Not sure if this is a bug or not but I am trying to drive my plotter from Inkscape and I get the following feedback:"Traceback (most recent call last):  File "/app/share/inkscape/extensions/plotter.py", line 167, in <module>    Plot().run()  File "/app/share/inkscape/extensions/inkex/base.py", line 250, in run    self.save_raw(self.effect())                  ^^^^^^^^^^^^^  File "/app/share/inkscape/extensions/plotter.py", line 97, in effect    self.options.to_port(self.options.to_language(encoder.getHpgl()))  File "/app/share/inkscape/extensions/plotter.py", line 152, in to_serial    with Serial(         ^^^^^^^  File "/app/share/inkscape/extensions/inkex/ports.py", line 54, in __init__    self.has_serial()  File "/app/share/inkscape/extensions/inkex/ports.py", line 99, in has_serial    raise DependencyError("pySerial is required to open serial ports.")inkex.utils.DependencyError: pySerial is required to open serial ports." My serial port is the same as it is in inkcut: /dev/ttyUSB0 - USB2.0-SerialVersion info:Inkscape 1.3.2 (091e20ef0f, 2023-11-25) I'm running linux Mint 21.3 Cinnamon 6.0.4 
----
Link: http://www.inkscape.org/forums/beyond/cant-get-extension-export-plot-to-work/#c75025

All the best,
 Inkscape.org Website

~~~~~~~~~~~~~~~~~~~~~~~~~
Unsubscribe:

If you do no longer want to receive these messages, you can edit your subscriptions and notification settings at http://www.inkscape.org/alerts/settings/.